Bug 328539 - "Set as default key" should be grayed out for the default key
Summary: "Set as default key" should be grayed out for the default key
Status: RESOLVED FIXED
Alias: None
Product: kgpg
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Rolf Eike Beer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-08 16:40 UTC by Toralf Förster
Modified: 2014-05-19 21:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.14.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster 2013-12-08 16:40:24 UTC
oterhwise cou can set it again and again ...

Reproducible: Always
Comment 1 Rolf Eike Beer 2013-12-08 17:19:54 UTC
Git commit 0aa25af18bd8433e1fc3a021cc97e4242854f5bf by Rolf Eike Beer.
Committed on 08/12/2013 at 17:17.
Pushed by dakon into branch 'KDE/4.11'.

disable "set as default key" for default key
FIXED-IN:4.11.5

M  +1    -0    keysmanager.cpp
M  +1    -1    model/kgpgitemmodel.h

http://commits.kde.org/kgpg/0aa25af18bd8433e1fc3a021cc97e4242854f5bf
Comment 2 Toralf Förster 2013-12-08 18:03:17 UTC
Pff - you won the "fastes-bug-fix"-Price of the week :-)
Comment 3 Tristan Miller 2014-05-18 19:13:58 UTC
Please reopen this bug; I'm seeing a regression with KGpg 2.12.2 (KDE 4.13.1 on openSUSE 13.1).
Comment 4 Rolf Eike Beer 2014-05-18 20:01:39 UTC
There is no 2.12.2, only 2.12.1, and that works flawlessly for me on openSUSE 13.1.
Comment 5 Tristan Miller 2014-05-19 07:20:29 UTC
Sorry, that was a typo.  It's 2.12.1 I'm using.

I did some further testing, and it seems that "Set as default key" gets greyed out only if you first select another key, and then select the default key again.  If you don't select another key, the context menu continues to show "Set as default key".
Comment 6 Rolf Eike Beer 2014-05-19 21:20:45 UTC
Git commit 57f6bea4a967ed65643b2fd7b0ee0b7f10e1bdfd by Rolf Eike Beer.
Committed on 19/05/2014 at 19:22.
Pushed by dakon into branch 'master'.

put the list of keyservers in a model

This simplifies the handling a lot, especially marking one of them as the
default one.
Related: bug 334997
FIXED-IN:4.14.0

M  +1    -0    CMakeLists.txt
M  +1    -10   conf_servers.ui
M  +47   -103  kgpgoptions.cpp
M  +14   -13   kgpgoptions.h
A  +104  -0    model/gpgservermodel.cpp     [License: GPL (v2/3)]
A  +56   -0    model/gpgservermodel.h     [License: GPL (v2/3)]

http://commits.kde.org/kgpg/57f6bea4a967ed65643b2fd7b0ee0b7f10e1bdfd